Subject: Re: AK Dept of Commerce
From: "Michael B" <[email-masked]>
To: "David R. Brake" <[email-masked]>
Date: Mon, 17 Apr 2017 12:09:59 -0400

Hello Dave.
Yes please go ahead and submit that for us.
Thank you,
Michael B
LLPS

From: David R. Brake 
Sent: Monday, April 17, 2017 11:47 AM
To: Michael B 
Subject: RE: AK Dept of Commerce

I question whether we are required to be licensed but we are probably money ahead by complying.  Would you like me to take care of applying for the license?  Thanks.

David R. Brake

David R. Brake

Knaggs Brake P.C.

7521 Westshire Dr. Ste. 100

Lansing MI 48917

Direct:  (517) 622-2411

Main:  (517) 622-0590

Fax:  (517) 622-8463

[email-masked]

From: Michael B [mailto:[email-masked]] 
Sent: Friday, April 14, 2017 9:39 AM
To: David R. Brake
Subject: AK Dept of Commerce

Hello Dave.

We received the attached letter. I wanted to know if this is something we need to do and/or how I am to respond. Unless you need to send a letter as a more formal response. Let me know.

Thank you,
Michael B
LLPS